Android 4.x VerifyError, вызванный методом Котлина

Недавно я начал играть с языком Kotlin, и я стараюсь запускать очень простое приложение. У меня есть два файла: MainActivity.kt и VersionSupport.kt с несколькими методами kotlin.

У меня нет никаких проблем с приложением на Nexus 5 (реальное устройство и эмулятор) с Android 5.x и 6.0. Проблемы возникают, когда я пытаюсь запустить приложение на 4.x версиях ОС.

В моей MainActivity:

override fun onCreate(savedInstanceState: Bundle?) { super.onCreate(savedInstanceState) setContentView(R.layout.activity_main) textView.apply { text = "Hello kotlin!" } supportsKitKat { longToast("kitKat") } } 

И вот реализация методов поддержки

 public fun supportsKitKat(code: () -> Unit) { supportsVersion(code, Build.VERSION_CODES.KITKAT) } private fun supportsVersion(code: () -> Unit, sdk: Int) { if(Build.VERSION.SDK_INT >= sdk) { code.invoke(); } 

Я использую android studio 2.0 preview 3b и kotlin 1.0.0-beta-4583

 FATAL EXCEPTION: main java.lang.VerifyError: pl/kpob/bootstrap/utils/VersionSupportKt at pl.kpob.bootstrap.MainActivity.onCreate(MainActivity.kt:21) at android.app.Activity.performCreate(Activity.java:5008) at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1079) at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2023) at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2084) at android.app.ActivityThread.access$600(ActivityThread.java:130) at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1195) at android.os.Handler.dispatchMessage(Handler.java:99) at android.os.Looper.loop(Looper.java:137) at android.app.ActivityThread.main(ActivityThread.java:4745) at java.lang.reflect.Method.invokeNative(Native Method) at java.lang.reflect.Method.invoke(Method.java:511) at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:786) at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553) at dalvik.system.NativeStart.main(Native Method) 

Kotlin beta 4 несовместим с функцией Instant Run от Android Studio. Вам нужно отключить Instant Run. Несовместимость будет решена в следующем обновлении Kotlin.